<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.120
Name: A_ZorgPlan [universal]
Description: COCT_RM900918NL: Gegevens over een zorgplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000">
   <title>A_ZorgPlan [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]"
         id="tmp-r-c3d38bd5-a618-4746-9d7f-7be2b5983987">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']])&gt;=1 and not(hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']])&lt;=1">(A_ZorgPlan-universal): element hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]"
         id="tmp-r-d36c35d8-baf2-41f0-95bd-e5ad6e30e866">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']/@nullFlavor)">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&lt;=1">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(A_ZorgPlan-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')])&gt;=1 and not(hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_ZorgPlan-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&gt;=1 and not(hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:templateId
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:templateId"
         id="tmp-r-860b4082-6028-424b-9049-f166e75e6dcd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.120'">(A_ZorgPlan-universal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.120' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:id
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:id"
         id="tmp-r-5aeb239a-fda6-4cc9-a38b-ad400a2f226c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')]"
         id="tmp-r-18ca3ed8-64af-4073-b363-c51116b67e12">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code 'G081' codeSystem '2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime
Item: (PeriodeZorgOpMaat)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime"
         id="tmp-r-30d6bb75-5312-4ff0-b6fe-925a11885994">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorgOpMaat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorgOpMaat): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorgOpMaat): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeZorgOpMaat): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeZorgOpMaat): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorgOpMaat): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorgOpMaat): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:low
Item: (PeriodeZorgOpMaat)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-a8919367-bdfe-4b49-a8fd-75ac0edd1d2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorgOpMaat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorgOpMaat): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:high
Item: (PeriodeZorgOpMaat)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-a61c087e-f2bf-4352-901b-a44b077ec125">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorgOpMaat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorgOpMaat): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:width
Item: (PeriodeZorgOpMaat)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:center
Item: (PeriodeZorgOpMaat)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-e9203c97-6d6c-4fa2-b29b-4e331c64a1f0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent"
         id="tmp-r-d816f697-1b34-47e3-850f-4e68a2aad741">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-aced44a3-6d99-4ba1-a36a-05dc8438ed53">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1155' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:value
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:value"
         id="tmp-r-e60f2fe9-65f0-4a6f-ade0-0b3cb65e6549">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-48850175-51f0-495e-9c2e-ef7fc36ca3ca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='OBJF' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'OBJF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal"
         id="tmp-r-a4188d9d-47c8-4e39-959c-8c9e17b46b6b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='GOL' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'GOL' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-27f6765d-0051-49c2-9cc4-fde9628ecb6d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1154' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:value
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:value"
         id="tmp-r-0ebf13bb-137e-4836-a93a-17c0aecb4e76">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-e4d7c86f-69ee-4a4d-9e6a-5d9752f7b29a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent"
         id="tmp-r-da0dce4e-abe3-48d8-9c49-269ec1713f4f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-1007749e-e7ed-4e2d-8a3b-a4b000aa7a36">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1156' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:value
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:value"
         id="tmp-r-a7640502-71d5-490e-b194-fa1d78c948fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-2b8157a4-c4d3-4569-9bfb-d45a657e6215">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@contextControlCode)='AN' or not(@contextControlCode)">(A_ZorgPlan-universal): de waarde van @contextControlCode MOET 'AN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(A_ZorgPlan-universal): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@conjunctionCode)='AND' or not(@conjunctionCode)">(A_ZorgPlan-universal): de waarde van @conjunctionCode MOET 'AND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem"
         id="tmp-r-28a1ddc0-d003-4a36-88fc-1da8473e3bf8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-4b59b660-79de-4f25-9ef7-f1db2cd03bf0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1151' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:text
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:text"
         id="tmp-r-7baf87c6-73e0-4774-a4f2-b392e6fc8fbf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-09e831ab-7494-4b7b-bbeb-6fc843e69889">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition"
         id="tmp-r-f24605c0-6a33-43de-a512-c04e11202597">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-7724aa12-3cbe-411f-a4ce-b28069f7dd90">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1152' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:text
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:text"
         id="tmp-r-39504491-3022-4805-8255-79b3486b6596">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-1fbfddc2-23dd-45a8-8365-6da9d79e6b4a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom"
         id="tmp-r-d5e9021d-88f3-4fb8-9025-1d9989e3cba6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-f90ce3e4-b2fc-41d6-a8f5-dea50ded7016">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1153' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:text
Item: (A_ZorgPlan-universal)
-->

   <rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:text"
         id="tmp-r-412c47ac-77cd-46fb-b52c-a9c2e9fe1247">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
