<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.181
Name: Bericht 1 Opvragen vaccinatiestatus (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000">
   <title>Bericht 1 Opvragen vaccinatiestatus (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]"
         id="tmp-r-2766579a-0c2c-45f5-85ff-3ba2ee3bab94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:queryId)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:modifyCode)=0">(OpvragenVaccinatiestatus-payload): element hl7:modifyCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responseElementGroupId)=0">(OpvragenVaccinatiestatus-payload): element hl7:responseElementGroupId MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:initialQuantity)=0">(OpvragenVaccinatiestatus-payload): element hl7:initialQuantity MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:initialQuantityCode)=0">(OpvragenVaccinatiestatus-payload): element hl7:initialQuantityCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:sortControl)=0">(OpvragenVaccinatiestatus-payload): element hl7:sortControl MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:patientId)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.addr)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.administrativeGender)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.administrativeGender komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.birthTime)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.name)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:templateId
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:templateId"
         id="tmp-r-8e6f92c0-5ee3-46a3-a5b8-a35a9ab0a38f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.181'">(OpvragenVaccinatiestatus-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.181' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryId
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryId"
         id="tmp-r-3dc4417b-c0dc-48f1-ad18-16e4351fffb1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:statusCode[@code='executing']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:statusCode[@code='executing']"
         id="tmp-r-8101347c-534b-4d4a-8ee5-ee714a6daf8c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or (@code='executing')">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn code 'executing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:modifyCode
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responseElementGroupId
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responseModalityCode[@code='R']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responseModalityCode[@code='R']"
         id="tmp-r-149bfb78-cee6-4bf4-8ae6-8f9adc7e3ae5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or (@code='R')">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn code 'R'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responsePriorityCode[@code='I']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-e3c24d51-f137-4471-b7c6-205c69aa51ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or (@code='I')">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn code 'I'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:initialQuantity
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:initialQuantityCode
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:executionAndDeliveryTime
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:executionAndDeliveryTime"
         id="tmp-r-2dd63fab-f70b-4cf2-b9f5-fd5055b2e7e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:sortControl
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId"
         id="tmp-r-0dc78654-7a3e-42bd-8a8e-0840f8973211">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-56beec78-3aff-4f72-9601-7578e6cb0d61">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(OpvragenVaccinatiestatus-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr"
         id="tmp-r-ee65929c-0d87-4f55-a772-e8173c882cbf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value"
         id="tmp-r-872e3014-b167-4a59-a796-b25702eda215">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:postalCode)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:houseNumber
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:houseNumber"
         id="tmp-r-5a12d8c7-d5f9-4d0b-a556-bb658cacc13d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:buildingNumberSuffix
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:buildingNumberSuffix"
         id="tmp-r-b7c882b4-b644-43b0-acc4-c7c057a45b55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:additionalLocator
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:additionalLocator"
         id="tmp-r-fe866eb4-eb0b-45d0-9a45-0b19bc12b7bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="text()=('to','by')">(OpvragenVaccinatiestatus-payload): 
                                <name path=".."/>/<name/> MOET 'to' of 'by' zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:postalCode
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:postalCode"
         id="tmp-r-f617773c-3f9c-4adc-887c-b52dd944b3c3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender"
         id="tmp-r-76c3ec71-78ff-4e66-a080-d122fd28a535">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(OpvragenVaccinatiestatus-payload): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-9b2c6e54-3cf8-4d41-afc5-b3a83964e513">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(OpvragenVaccinatiestatus-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime"
         id="tmp-r-13ee28b2-f424-4659-867f-ba30147ce005">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime/hl7:value"
         id="tmp-r-86ecf936-0f9b-4b31-80ce-4430c282ac25">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name"
         id="tmp-r-39f57419-e68f-4a69-907c-8a963fd41446">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value"
         id="tmp-r-7b66d41c-e770-4940-8902-99857bc1c364">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:given)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:prefix)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:family)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:given
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:given"
         id="tmp-r-82651b7c-46a8-4d4c-bf61-f22e267a70ff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@qualifier)='BR' or not(@qualifier)">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:prefix
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:prefix"
         id="tmp-r-21e3928b-f6bb-41b1-a671-eb27da1994b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="tokenize(@qualifier,'\s')=('VV','BR')">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET 'VV|(VV BR)|(BR VV)' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:family
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:family"
         id="tmp-r-1663d2b6-a103-4f0f-acec-e710b8a30b0f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@qualifier)='BR'">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
</pattern>
