<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.130
Name: Bericht 5 Hielprikverzoek (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000">
   <title>Bericht 5 Hielprikverzoek (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]"
         id="tmp-r-b1dd048b-10af-4cea-92db-a74ba08d2d78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']])&gt;=1 and not(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]"
         id="tmp-r-4b061549-071c-409b-a4d8-7d19aed2a292">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='RQO'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&gt;=1 and not(hl7:realmCode[@code='NL']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:realmCode[@code='NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:realmCode[@code='NL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]])&gt;=1 and not(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:subjectOf6)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:realmCode[@code='NL']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:realmCode[@code='NL']"
         id="tmp-r-aac17bc7-be5b-4a9a-b929-b3f3b27471d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NL')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'NL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:templateId
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:templateId"
         id="tmp-r-52e7ddc5-7c65-4edf-9775-7dc675fc9a55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.130'">(VersturenHielprikverzoek-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.130' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:id"
         id="tmp-r-42d0b575-3dae-49b6-8f6c-7d674004fff2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-3956b1e0-7407-47a8-9bef-88785150c852">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">(VersturenHielprikverzoek-payload): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">(VersturenHielprikverzoek-payload): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">(VersturenHielprikverzoek-payload): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">(VersturenHielprikverzoek-payload): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">(VersturenHielprikverzoek-payload): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:statusCode[@code='active']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:statusCode[@code='active']"
         id="tmp-r-5b9d6713-9043-4f30-8ffe-8c0a03781de3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]"
         id="tmp-r-cde2859b-356b-44cc-9b93-9369edfe466d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <let name="patRoot" value="'2.16.840.1.113883.2.4.6.3'"/>
      <let name="patExt"
           value="(hl7:patient/hl7:id[@root=$patRoot])[1]/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(ancestor::*/hl7:attentionLine) or not(hl7:patient/hl7:id[@root=$patRoot and @extension]) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(VersturenHielprikverzoek-payload): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]])&gt;=1 and not(hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]"
         id="tmp-r-e6ae58a3-138d-41d1-bc06-0eca3c2e05fd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']"
         id="tmp-r-9eae056f-db0f-460b-9112-e8abefaf72a0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.172'">(VersturenHielprikverzoek-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.172' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']"
         id="tmp-r-22b9a354-986b-4c83-b769-4d75652d5cc2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.103'">(VersturenHielprikverzoek-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.103' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]"
         id="tmp-r-c10c9835-eb21-44e1-ab67-a4831f8151a1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&gt;=1 and not(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]"
         id="tmp-r-2691dd0a-edea-41f5-947f-6f61e286fdee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ALRT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-783483a9-3558-48b4-a59e-b2e643a84d01">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@displayName or not(@code)">(VersturenHielprikverzoek-payload): @displayName is verplicht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]"
         id="tmp-r-da3ad19c-8f13-4428-8ac4-c93fd90a2dc6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='REFR'">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]])&gt;=1 and not(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act"
         id="tmp-r-858422e1-7211-4d1f-b0d4-690c2ef6746d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='DOC'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act/hl7:id"
         id="tmp-r-f463f77c-ee1c-4663-a364-ca617f87de92">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-bff6761f-3a4c-448f-a68f-fdc3b9544ce5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code '1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6"
         id="tmp-r-19fd64bb-60aa-4b7d-8d1f-a21da4fcf6b2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:seperatableInd
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-r-07f8acec-6c6f-4100-84c8-2b6b0908f368">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@value)='false'">(VersturenHielprikverzoek-payload): de waarde van @value MOET 'false' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation"
         id="tmp-r-996ff26d-077c-4f66-8973-006a425b8723">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ACT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:text
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-r-bf94ae56-82d2-49ee-b13c-84fd9481b505">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']"
         id="tmp-r-14f338b1-7e28-4afd-8d35-a9b1c7989b2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='completed')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-r-11bd1f51-5631-4f56-be71-df9e1963ae7a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-r-bf13901f-adbf-45c2-8381-0911085e0114">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-r-e1753690-95e4-487a-b494-79bac85f7ea0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
