<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.163
Name: PatientPerson [universal]
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000">
   <title>PatientPerson [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]"
         id="tmp-r-bc39f3d4-5633-458b-aa3f-ec00e186d38a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(PatientPerson-universal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(PatientPerson-universal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(PatientPerson-universal): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:birthTime)&lt;=1">(PatientPerson-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactParty)&gt;=1 ">(PatientPerson-universal): element hl7:contactParty is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactParty)&lt;=1">(PatientPerson-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:templateId
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:templateId"
         id="tmp-r-093fd24f-b244-41de-b0fb-ef812bce696d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.163'">(PatientPerson-universal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.163' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name"
         id="tmp-r-c57a7360-15ea-446f-a6f4-c91488456157">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@use) or @use='OR' or @use='L'">(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: @use moet indien aanwezig 'OR' of 'L' zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(PatientPerson-universal): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:given)&lt;=1">(PatientPerson-universal): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:prefix)&lt;=1">(PatientPerson-universal): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:family)&lt;=1">(PatientPerson-universal): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:given
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:given"
         id="tmp-r-a42fa1f9-5f2f-470d-b04e-687c6440aca0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:prefix
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:prefix"
         id="tmp-r-308422a3-b26a-4682-afc0-271c4f14730c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="@qualifier='VV BR' or @qualifier='BR VV'">(PatientPerson-universal): 
                            <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:family
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:family"
         id="tmp-r-71d3281a-fcd4-48aa-80d5-b039bcaec91b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="@qualifier='BR'">(PatientPerson-universal): 
                            <name/> moet de geslachtsnaam bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-cd97dbf7-578a-453d-97e6-a555c6d64c3e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientPerson-universal): de elementwaarde MOET zijn W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(PatientPerson-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:birthTime
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:birthTime"
         id="tmp-r-4e579f71-eb41-4993-94f2-da0a6efb3d1a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthInd
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthInd"
         id="tmp-r-56a33150-b0e4-414f-8d87-a0c1852f4863">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthOrderNumber
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthOrderNumber"
         id="tmp-r-48fc2abb-be2e-42fc-b7e7-30eaf4c75af8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(PatientPerson-universal): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="preceding-sibling::hl7:multipleBirthInd/@value='true'">(PatientPerson-universal): 
                        <name/> kan alleen een waarde hebben bij meerlingen</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty"
         id="tmp-r-2ddec45e-041d-4034-bc72-63ab14de79fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PatientPerson-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(PatientPerson-universal): element hl7:telecom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(PatientPerson-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactPerson)&lt;=1">(PatientPerson-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:telecom
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:telecom"
         id="tmp-r-e8435397-c9e5-4c80-83eb-ee62d4d8da6b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime"
         id="tmp-r-22f11b4c-cc8a-4e5f-8fc8-f0c1a6273812">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="hl7:low or hl7:high">(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: low en/of high is verplicht</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PatientPerson-universal): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PatientPerson-universal): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PatientPerson-universal): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PatientPerson-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:low"
         id="tmp-r-87e73544-4534-4ba6-8d68-1525294f063a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:high"
         id="tmp-r-a6948653-a2ea-4405-93d1-47ae2d8fbbde">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson"
         id="tmp-r-5ec3a680-5421-4ac9-9846-f73df63a0ad6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-r-ab4541e6-3c24-4f9c-8c55-d4e70b24b351">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
